Subject: Re: bug#1497: emacs -nw loses display of line number with long lines

From: Eli Zaretskii <[email-masked]>
Date: Fri, 05 Dec 2008 17:52:19 +0200

> From: Paul R <[email-masked]>
> Package: emacs
> Version: 23
> Date: Fri, 05 Dec 2008 12:15:17 +0100
> Cc: 
> 
> To reproduce, open emacs -nw -Q, then type a very long line, for example
> typing around 100 random characters, then C-a C-k to kill the string
> then maintain C-y to past many times to get a line taking 4 or 5 display
> lines. This is your long line. Then hit C-j.
> 
> Repeat operation ten times or more to have many such long lines.
> 
> Monitor line number in mode-line while operating. At a point, it will
> print L??
> 
> M-: (line-number-at-pos (point)) will return correct value so it is
> likely to be a display problem.

Could it be due to the value of line-number-display-limit-width?

    line-number-display-limit-width is a variable defined in `C source code'.
    Its value is 200

Did you perhaps exceed the 200-character limit?